/*

drumrock JavaScript Module Grid v0.1 2011-01-17

Homepage: http://drumrock.skipitnow.org/javascript/js-module-grid/
Author: Pavel 'drumrock' Smirnov <drumrock@skipitnow.org>
http://drumrock.skipitnow.org/

*/

var drumrockJsModuleGrid = {
	version: '0.1',
	init: function(params) {
		var p = params;
		var z = drumrockJsModuleGrid;
		z.windowWidth = z.getWindowWidth();
		z.windowHeight = z.getWindowHeight();
		if(p.cellWidth != undefined) {
			z.cellWidth = p.cellWidth;
		}
		if(p.cellHeight != undefined) {
			z.cellHeight = p.cellHeight;
		}
		if(p.moduleWidth != undefined) {
			z.moduleWidth = p.moduleWidth;
		}
		if(p.moduleHeight != undefined) {
			z.moduleHeight = p.moduleHeight;
		}
		if(p.moduleSpaceWidth != undefined) {
			z.moduleSpaceWidth = p.moduleSpaceWidth;
		}
		if(p.moduleSpaceHeight != undefined) {
			z.moduleSpaceHeight = p.moduleSpaceHeight;
		}
		if(p.color != undefined) {
			z.color = p.color;
		}
		z.show();
	},
	showLine: function(width, height, top, left, color) {
		var d = document.createElement('div');
		d.style.width = width;
		d.style.height = height;
		d.style.position = 'absolute';
		d.style.top = top;
		d.style.left = left;
		d.style.backgroundColor = color;
		document.body.appendChild(d);
	},
	show: function() {
		var z = drumrockJsModuleGrid;
		var ww = z.windowWidth;
		var wh = z.windowHeight;
		var countX = (-z.moduleSpaceWidth);
		for(var x = 0; x <= ww; x+= z.cellWidth) {
			if(countX % (z.moduleWidth + z.moduleSpaceWidth) == 0) {
				z.showLine(1, wh, 0, x, z.color);
			} else if(countX % (z.moduleWidth + z.moduleSpaceWidth) == z.moduleWidth) {
				z.showLine(1, wh, 0, x, z.color);
			}
			countX++;
		}
		var countY = (-z.moduleSpaceWidth);
		for(var y = 0; y <= wh; y+= z.cellHeight) {
			if(countY % (z.moduleHeight + z.moduleSpaceHeight) == 0) {
				z.showLine(ww, 1, y, 0, z.color);
			} else if(countY % (z.moduleHeight + z.moduleSpaceHeight) == z.moduleHeight) {
				z.showLine(ww, 1, y, 0, z.color);
			}
			countY++;
		}
	},
	windowWidth: false,
	windowHeight: false,
	isShown: false,
	cellWidth: 20,
	cellHeight: 20,
	moduleWidth: 4,
	moduleHeight: 4,
	moduleSpaceWidth: 1,
	moduleSpaceHeight: 1,
	color: '#ffddee',
	getWindowWidth: function() {
		return document.body.clientWidth;
	},
	getWindowHeight: function() {
		return document.body.clientHeight;
	}
};


// window.addEventListener('load', function(){drumrockJsModuleGrid.init({}); drumrockJsModuleGrid.show();}, false);


